Chinaunix首页 | 论坛 | 博客
  • 博客访问: 887309
  • 博文数量: 60
  • 博客积分: 1458
  • 博客等级: 中尉
  • 技术积分: 1373
  • 用 户 组: 普通用户
  • 注册时间: 2011-12-24 12:50
个人简介

不积硅步无以至千里

文章分类

全部博文(60)

分类: 嵌入式

2013-01-06 01:00:55

摘要:本文记录了无法使用Android SDK  Manager下载SDK开发包的解决办法。

最近需要进行android应用程序的开发工作,在android官网下载了adt-bundle-linux-x86.zip开发包。根据官网的介绍,该开发包内含eclipse、adt和sdk。解压缩之后可以直接完成的开发工具。但是打开之后发现sdk版本为较新的android sdk 4.0,而我需要的是2.3版本的sdk。

根据正常的操作,在eclipse中打开SDK Manager,发现无法获取其他版本的sdk,提示信息一直停留在:

  1. Fetching https://dl-ssl.google.com/android/repository/addons_list-2.xml
如果你也遇到这样的情况,这里给你一个免费的建议,不要等了,不是因为你的网速慢或者人品不好,请果断地采取下面的操作。

直接执行如下命令:


  1. sudo gedit /etc/hosts

在该文件中添加下面的内容:

  1. 74.125.237.1 dl-ssl.google.com

以我的hosts文件为例,更改之后应该是这个样子:



更改完成之后,重新启动一下eclipse软件,然后按照之前的操作,打开sdk manager,你会发现现在就能够很快的得到sdk和其他软件包列表。如下图所示:




与第一次失败的时候相比,现在内容可壮观多了。
阅读(34986) | 评论(0) | 转发(2) |
给主人留下些什么吧!~~